Bug 209689

Summary: Update ANGLE to 2020-03-27
Product: WebKit Reporter: Kenneth Russell <kbr>
Component: ANGLEAssignee: Kenneth Russell <kbr>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, darin, dino, ews-watchlist, graouts, gyuyoung.kim, justin_fan, kondapallykalyan, ryuan.choi, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 209943    
Bug Blocks: 126404, 210992    
Attachments:
Description Flags
Patch
darin: review+
Patch none

Description Kenneth Russell 2020-03-27 16:45:47 PDT
Update ANGLE in WebKit to the version of 2020-03-27 to roll in the fix for anglebug.com/4504 (currently cherry-picked in WebKit) and others.
Comment 1 Kenneth Russell 2020-04-01 23:30:50 PDT
Status update: fixed a problem in the ANGLE roll script regarding how the commit ID is generated. Tighter validation in updated ANGLE uncovered a few bugs in VideoTextureCopierCV.cpp, but there seems to be one bug in ANGLE around rendering feedback loop detection for which I'm trying to create a standalone test case and report upstream in the ANGLE project.
Comment 2 Kenneth Russell 2020-04-03 17:59:56 PDT
Created attachment 395422 [details]
Patch
Comment 3 Kenneth Russell 2020-04-03 18:01:53 PDT
The attached patch is purely an ANGLE roll - all corollary changes were made in Bug 209943. changes.diff has been automatically updated, and no manual changes were made during this roll aside from updating the Xcode project.
Comment 4 EWS Watchlist 2020-04-03 18:04:22 PDT
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 5 Darin Adler 2020-04-04 16:19:16 PDT
Comment on attachment 395422 [details]
Patch

No real value in the file/function list for a change done by a script like this one. I suggest omitting it as I have done with many other patches like this.
Comment 6 Kenneth Russell 2020-04-06 12:16:18 PDT
Created attachment 395599 [details]
Patch
Comment 7 EWS 2020-04-06 12:19:28 PDT
kbr@google.com does not have committer permissions according to https://trac.webkit.org/browser/webkit/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

Rejecting attachment 395599 [details] from commit queue.
Comment 8 EWS 2020-04-06 13:12:49 PDT
Committed r259589: <https://trac.webkit.org/changeset/259589>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 395599 [details].
Comment 9 Radar WebKit Bug Importer 2020-04-06 13:13:19 PDT
<rdar://problem/61355846>
Comment 10 Dean Jackson 2020-05-07 13:30:54 PDT
I had to revert this in r261262 because it caused https://bugs.webkit.org/show_bug.cgi?id=210992
Comment 11 Dean Jackson 2020-05-15 15:33:00 PDT
Relanded in r261750